/* wrapper */
.woocommerce-cart .site-main {
    max-width: 100% !important;
	padding-left: 32px !important;
	padding-right: 32px !important;
}
@media (max-width: 767px) {
	.woocommerce-cart .site-main {
		padding-left: 16px !important;
		padding-right: 16px !important;
	}
}
.woocommerce-cart .site-main .wc-block-cart {
    margin-inline: auto;
}
.woocommerce-cart .wp-block-woocommerce-cart {
	padding-top: 0 !important;
}
.woocommerce-cart .wp-block-woocommerce-filled-cart-block {
    max-width: 1320px;
	min-height: 600px;
    margin-bottom: 140px !important;
    margin-top: 40px;
	margin-right: auto;
    margin-left: auto;
    align-items: flex-start;
    justify-content: space-between;
}
@media (max-width: 767px) {
	.woocommerce-cart .wp-block-woocommerce-filled-cart-block {
		padding: 0;
		margin: 40px 0 80px !important;
		width: 100%;
	}
}
/* components */
.woocommerce-cart .wc-block-components-main {
	width: clamp(37.5rem, -1.798rem + 61.404vw, 50.625rem) !important;
    /* width: 810px !important; */
    padding: 0 !important;
}
@media (max-width: 1023px) {
	.woocommerce-cart .wc-block-components-main {
		width: 100% !important;
	}
}
.woocommerce-cart .wc-block-components-main>p {
	margin-bottom: 32px;
	font-family: "BanderaPro", Sans-serif;
    font-size: 48px;
    line-height: 1em;
}
@media (max-width: 767px) {
	.woocommerce-cart .wc-block-components-main>p {
		margin-bottom: 0;
    	padding-bottom: 32px;
		font-size: 32px;
	}
}
.woocommerce-cart .wc-block-cart-items__header-image,
.woocommerce-cart .wc-block-cart-items__header-total {
    padding: 24px 0 !important;
    font-size: 18px;
    font-weight: 400 !important;
    text-align: left;
    text-transform: none;
}
/*
.wc-block-cart__main .wc-block-cart-items {
	border-top: 1px solid #000000 !important;
	border-bottom: 1px solid #000000 !important;
}*/
.woocommerce-cart .wc-block-cart-items tr,
.woocommerce-cart .wc-block-cart-items th,
.woocommerce-cart .wc-block-cart-items td {
	border: none !important;
}
.woocommerce-cart .wc-block-cart-items thead {
	border-top: 1px solid #000000 !important;
	border-bottom: 1px solid #000000 !important;
}
.woocommerce-cart tr.wc-block-cart-items__row {
    position: relative;
}
@media (max-width: 767px) {
	.woocommerce-cart tr.wc-block-cart-items__row {
		display: flex !important;
		flex-wrap: wrap;
		justify-content: flex-start;
	}
}
.woocommerce-cart .wc-block-cart__main .wc-block-cart-items {
	margin: 0 !important;
}
.woocommerce-cart .wc-block-cart__main .wc-block-cart-items,
.woocommerce-cart .wc-block-cart-items__row:not(:last-child) {
	border-bottom: 1px solid #000000 !important;
}
@media (max-width: 767px) {
	.woocommerce-cart .wc-block-cart-items {
		border-top: 1px solid #000000;
	}
}
.woocommerce-cart .wc-block-cart__main .wc-block-cart-items td {
	padding: 32px 16px 32px 0px !important;
}
@media (max-width: 767px) {
	.woocommerce-cart .wc-block-cart__main .wc-block-cart-items td {
		margin: 0 !important;
		padding: 0 !important;
	}
	.woocommerce-cart .wc-block-cart__main .wc-block-cart-item__image {
		padding: 0 0 0 16px !important;
	}
	.woocommerce-cart .wc-block-cart__main .wc-block-cart-item__product {
		width: calc(100vw - 180px) !important;
	}
	.woocommerce-cart .wc-block-cart__main .wc-block-cart-item__quantity {
		align-self: start !important;
		margin-top: 10px !important;
    	margin-bottom: 0px !important;
	}
	.woocommerce-cart .wc-block-cart__main .wc-block-cart-item__total {
		width: 100%;
	}
	.woocommerce-cart .wc-block-cart__main .wc-block-cart-item__total-price-and-sale-badge-wrapper {
		margin-top: 16px;
        padding-top: 16px;
        width: 100%;
        align-items: center;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        border-top: 1px solid #000000 !important;
	}
	.woocommerce-cart .wc-block-cart__main .wc-block-cart-item__total-price-and-sale-badge-wrapper:before {
		content: "Загалом";
		font-size: 18px;
		font-weight: 400;
		line-height: 1em;
		color: #000000;
	}
}
.woocommerce-cart .wc-block-cart-item__image {
	/* width: 130px; */
	width: auto;
}
@media (max-width: 767px) {
	.woocommerce-cart .wc-block-cart-item__image {
		width: auto;
		height: 113px;
	}
}
@media screen and (min-width: 768px) and (max-width: 1152px) {
	.woocommerce-cart .wc-block-cart-item__image {
		/* width: 130px; */
		width: auto;
	}
}
.woocommerce-cart .wc-block-cart-item__image img {
	height: 170px;
	width: 120px !important;
	object-fit: cover;
}
@media (max-width: 767px) {
	.woocommerce-cart .wc-block-cart-item__image img {
		padding-right: 10px !important;
        width: 90px !important;
        height: 100%;
        object-fit: cover;
	}
}
/*
@media screen and (min-width: 768px) and (max-width: 1152px) {
	.woocommerce-cart .wc-block-cart-item__image img {
		height: 140px;
    	width: 100px !important;
	}
}
*/
.woocommerce-cart .wc-block-cart-item__product {
	width: 60% !important;
}
.woocommerce-cart .wc-block-cart-item__wrap {
    min-height: 170px !important;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;
}
@media (max-width: 767px) {
	.woocommerce-cart .wc-block-cart-item__wrap {
        min-height: auto !important;
	}
}
@media screen and (min-width: 768px) and (max-width: 1023px) {
	.woocommerce-cart .wc-block-cart-item__wrap {
        width: 390px;
	}
}
@media (min-width: 1024px) {
	.woocommerce-cart .wc-block-cart-item__wrap {
        width: 300px;
	}
}
.woocommerce-cart .wc-block-components-product-name {
	max-width: 100% !important;
	margin-bottom: 8px !important;
	font-family: "BanderaPro", Sans-serif;
    font-size: 24px !important;
    font-weight: 700 !important;
    text-decoration: none !important;
	white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
	order: 1;
}
@media (max-width: 767px) {
	.woocommerce-cart .wc-block-components-product-name {
		margin-bottom: 5px !important;
		font-size: 18px !important;
	}
}
.woocommerce-cart .wc-block-cart-item__prices {
	order: 2;
}
.woocommerce-cart .wc-block-cart-item__wrap .wc-block-components-product-price {
    display: flex;
    flex-direction: row-reverse;
	align-items: center;
    gap: 10px;
}
.woocommerce-cart .wc-block-components-product-price__value {
    font-size: 20px;
    font-weight: 700;
	margin: 0 !important;
}
@media (max-width: 767px) {
	.woocommerce-cart .wc-block-components-product-price__value {
		font-size: 16px;
	}
	.woocommerce-cart .wc-block-cart-item__total .wc-block-components-product-price__value {
		font-size: 20px;
	}
}
.woocommerce-cart .wc-block-components-product-price__regular {
    font-size: 20px;
    font-weight: 400;
    color: #B1B1B1;
}
@media (max-width: 767px) {
	.woocommerce-cart .wc-block-components-product-price__regular {
		font-size: 16px;
	}
}
.woocommerce-cart .wc-block-components-product-metadata {
	display: none;
	margin-bottom: 0 !important;
	order: 4;
}
.woocommerce-cart .wc-block-components-product-metadata__description {
    display: none;
}
.woocommerce-cart .wc-block-components-sale-badge {
    display: none !important;
}
.woocommerce-cart .wc-block-cart-item__quantity {
	margin-top: 20px !important;
	order: 3;
}
.woocommerce-cart .wc-block-components-quantity-selector {
	margin-bottom: 0 !important;
    width: 130px !important;
	height: 40px;
    border: 1px solid #000000;
    border-radius: 0 !important;
}
.woocommerce-cart .wc-block-components-quantity-selector button,
.woocommerce-cart .wc-block-components-quantity-selector input {
    font-size: 16px !important;
	font-weight: 700 !important;
    border: none !important;
	border-radius: 0 !important;
	opacity: 1 !important;
}
.woocommerce-cart .wc-block-components-quantity-selector button:focus {
	box-shadow: none !important;
}
.woocommerce-cart .wc-block-components-quantity-selector:after {
	content: none !important;
}
.woocommerce-cart .wc-block-cart-item__remove-link {
	position: absolute;
    bottom: 35px;
    right: 0;
    width: 24px;
    height: 24px;
    font-size: 0 !important;
    /* color: #F51137 !important; */
}
.woocommerce-cart .wc-block-cart-item__remove-link:before,
.woocommerce-cart .wc-block-cart-item__remove-link:after {
	content: "";
    position: absolute;
    bottom: 0;
    display: block;
    width: 24px;
    height: 24px;
	transition: all .3s ease;
}
.woocommerce-cart .wc-block-cart-item__remove-link:hover:before {
	opacity: 0;
}
.woocommerce-cart .wc-block-cart-item__remove-link:hover:after {
	opacity: 1;
}
.woocommerce-cart .wc-block-cart-item__remove-link:before {
    background-image: url(/wp-content/uploads/cart-remove-black.svg);
	opacity: 1;
}
.woocommerce-cart .wc-block-cart-item__remove-link:after {
    background-image: url(/wp-content/uploads/cart-remove-red.svg);
	opacity: 0;
}
@media (max-width: 767px) {
	.woocommerce-cart .wc-block-cart-item__remove-link {
		right: 0;
		top: 16px;
		bottom: auto;
	}
}
/* sidebar */
.woocommerce-cart .wc-block-components-sidebar {
	width: clamp(21.875rem, 5.033rem + 26.316vw, 27.5rem) !important;
	/* width: 440px; */
	margin-top: 80px !important;
    padding: 0 !important;
    border: 1px solid #000000;
}
@media (max-width: 1023px) {
	.woocommerce-cart .wc-block-components-sidebar {
		width: 100% !important;
		margin-top: 32px !important;
		margin-bottom: 0 !important;
	}
}
.woocommerce-cart .wp-block-woocommerce-cart-order-summary-block {
    border-bottom: none !important;
    margin-bottom: 0 !important;
}
/*
@media screen and (min-width: 1024px) and (max-width: 1151px) {
	.woocommerce-cart .wp-block-woocommerce-cart-order-summary-block {
		margin-bottom: 24px !important;
	}
}
*/
.woocommerce-cart .wc-block-cart__totals-title {
	display: block !important;
    padding: 24px 32px !important;
    font-size: 18px !important;
    font-weight: 700 !important;
    text-transform: none !important;
}
@media (max-width: 767px) {
	.woocommerce-cart .wc-block-cart__totals-title {
		padding: 24px 16px !important;
	}
}
@media screen and (min-width: 1024px) and (max-width: 1151px) {
	.woocommerce-cart .wc-block-cart__totals-title {
		padding: 24px 16px !important;
	}
}
.woocommerce-cart .wc-block-components-totals-shipping .wc-block-components-totals-item {
	display: flex !important;
    flex-direction: row !important;
    justify-content: space-between !important;
}
.woocommerce-cart .wc-block-components-totals-shipping .wc-block-components-totals-item__label:before {
    content: "";
	display: block;
    width: 30px;
    height: 30px;
    background-image: url(/wp-content/uploads/novaposhta-shipping-light.svg);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    flex-shrink: 0;
}
@media (max-width: 767px) {
	.woocommerce-cart .wc-block-components-totals-shipping .wc-block-components-totals-item__label:before {
		width: 26px;
		height: 26px;
	}
}
.woocommerce-cart .wc-block-components-totals-shipping .wc-block-components-totals-item__label {
    display: flex;
	align-items: center;
    column-gap: 7px;
    flex-grow: 0 !important;
}
@media (max-width: 767px) {
	.woocommerce-cart .wc-block-components-totals-shipping .wc-block-components-totals-item__label {
		column-gap: 7px;
	}
}
.woocommerce-cart .wp-block-woocommerce-cart-order-summary-totals-block {
	padding-bottom: 0 !important;
}
.woocommerce-cart .wc-block-components-totals-wrapper {
    border-top: 1px solid #000000 !important;
    padding: 32px !important;
}
@media (max-width: 767px) {
	.woocommerce-cart .wc-block-components-totals-wrapper {
		padding: 24px 16px !important;
	}
}
@media screen and (min-width: 1024px) and (max-width: 1151px) {
	.woocommerce-cart .wc-block-components-totals-wrapper {
		padding: 24px 16px !important;
	}
}
.woocommerce-cart .wc-block-components-totals-shipping div.wc-block-components-totals-item__value {
    display: none !important;
}
.woocommerce-cart .wc-block-components-totals-item__label {
    font-size: 18px !important;
    font-weight: 400 !important;
}
@media (max-width: 767px) {
	.woocommerce-cart .wc-block-components-totals-item__label {
		font-size: 16px !important;
	}	
}
@media screen and (min-width: 1024px) and (max-width: 1151px) {
	.woocommerce-cart .wc-block-components-totals-item__label {
		font-size: 16px !important;
	}	
}
.woocommerce-cart .wc-block-components-totals-item__value {
    font-size: 18px !important;
    font-weight: 700 !important;
}
@media (max-width: 767px) {
	.woocommerce-cart .wc-block-components-totals-item__value {
		font-size: 18px !important;
	}
}
@media screen and (min-width: 768px) and (max-width: 1279px) {
	.woocommerce-cart .wc-block-components-totals-item__value {
		font-size: 18px !important;
	}
}
.woocommerce-cart .wc-block-cart__submit {
    padding: 0 32px 32px !important;
    margin: 0 !important;
}
@media (max-width: 767px) {
	.woocommerce-cart .wc-block-cart__submit {
		padding: 0 16px 24px 16px !important;
	}
}
@media screen and (min-width: 1024px) and (max-width: 1151px) {
	.woocommerce-cart .wc-block-cart__submit {
		padding: 0 16px 24px 16px !important;
	}
}
.woocommerce-cart .wc-block-cart__submit-button {
    height: 54px !important;
    background-color: #000000;
    border: 1px solid #000000;
    color: #ffffff !important;
    font-size: 16px !important;
    font-weight: 500 !important;
    text-decoration: none !important;
	transition: all .3s cubic-bezier(.47,0,.75,.72) !important;
}
.woocommerce-cart .wc-block-cart__submit-button:hover {
    color: #000000 !important;
    background-color: #F2EFEB;
}
.woocommerce-cart .wc-block-cart__submit-button:focus {
	box-shadow: none !important;
	outline: none !important;
}
/* notices */
.woocommerce-cart .wc-block-components-notices {
	margin: 0;
    position: absolute;
    z-index: 1000;
    left: 50%;
    transform: translateX(-50%);
}
.woocommerce-cart .wc-block-store-notice {
    margin: 0;
	border-radius: 0;
}
.woocommerce-cart .wc-block-components-notice-snackbar-list {
    display: none !important;
}
/* sticky button */
@media (max-width: 767px) {
	.wc-block-cart .wc-block-cart__submit-container--sticky {
        border: 1px solid #000000;
        bottom: 1px;
	}
}